| NFFT 3.5.0

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
nsfft_plan Struct Reference
NSFFT - Nonequispaced sparse FFT

data structure for an NSFFT (nonequispaced sparse fast Fourier transform) plan with double precision More...

`#include <nfft3.h>`

Collaboration diagram for nsfft_plan:
[legend]

## Public Member Functions
| FFTW_MANGLE_DOUBLE (plan)*set_fftw_plan1
| fftw plan for the nfft blocks
| FFTW_MANGLE_DOUBLE (plan)*set_fftw_plan2
| fftw plan for the nfft blocks

## Data Fields
NFFT_INT | N_total
| Total number of Fourier coefficients. More...
NFFT_INT | M_total
| Total number of samples. More...
fftw_complex * | f_hat
| Fourier coefficients. More...
fftw_complex * | f
| Samples. More...
void(* | mv_trafo )(void *)
| Transform. More...
void(* | mv_adjoint )(void *)
| Adjoint transform. More...
int | d
| dimension, rank; d = 2, 3
int | J
| problem size, i.e., d=2: N_total=(J+4) 2^(J+1) d=3: N_total=2^J 6(2^((J+1)/2+1)-1)+2^(3(J/2+1))
int | sigma
| oversampling-factor
unsigned | flags
| flags for precomputation, malloc
int * | index_sparse_to_full
| index conversation, overflow for d=3, J=9!
int | r_act_nfft_plan
| index of current nfft block
nfft_plan * | act_nfft_plan
| current nfft block
nfft_plan * | center_nfft_plan
| central nfft block
nfft_plan * | set_nfft_plan_1d
| nfft plans for short nffts
nfft_plan * | set_nfft_plan_2d
| nfft plans for short nffts
double * | x_transposed
| coordinate exchanged nodes, d = 2
double * | x_102
double * | x_201
double * | x_120
double * | x_021
| coordinate exchanged nodes, d=3

## Detailed Description

data structure for an NSFFT (nonequispaced sparse fast Fourier transform) plan with double precision

Structure for a NFFT plan

Definition at line 475 of file nfft3.h.

## Field Documentation

NFFT_INT nsfft_plan::N_total

Total number of Fourier coefficients.

Definition at line 475 of file nfft3.h.

Referenced by nsfft_adjoint(), nsfft_cp(), and nsfft_init_random_nodes_coeffs().

NFFT_INT nsfft_plan::M_total

Total number of samples.

Definition at line 475 of file nfft3.h.

Referenced by nsfft_adjoint(), nsfft_cp(), and nsfft_init_random_nodes_coeffs().

fftw_complex* nsfft_plan::f_hat

Fourier coefficients.

Definition at line 475 of file nfft3.h.

Referenced by nsfft_adjoint(), nsfft_cp(), nsfft_init(), and nsfft_init_random_nodes_coeffs().

fftw_complex* nsfft_plan::f

Samples.

Definition at line 475 of file nfft3.h.

Referenced by nsfft_adjoint(), nsfft_init(), and nsfft_init_random_nodes_coeffs().

void(* nsfft_plan::mv_trafo) (void *)

Transform.

Definition at line 475 of file nfft3.h.

Referenced by nsfft_adjoint().

void(* nsfft_plan::mv_adjoint) (void *)

Adjoint transform.

Definition at line 475 of file nfft3.h.

Referenced by nsfft_adjoint().

The documentation for this struct was generated from the following file:

- nfft3.h